<?php
/**
 * Plugin Name: Random Grid Display of Posts
 * Description: Displays a grid of random posts with images and titles.
 * Version: 2.2
 * Author: Scot Birchfield
 * Text Domain: random-post-grid
 */

if (!defined('ABSPATH')) {
    exit;
}

// Define plugin constants
define('RPG_VERSION', '2.2');
define('RPG_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('RPG_PLUGIN_URL', plugin_dir_url(__FILE__));

// Include required files
require_once RPG_PLUGIN_DIR . 'includes/class-rpg-grid-display.php';
require_once RPG_PLUGIN_DIR . 'includes/class-rpg-admin.php';

// Initialize the plugin
function rpg_init() {
    // Initialize grid display
    new RPG_Grid_Display();
    
    // Initialize admin if in admin area
    if (is_admin()) {
        new RPG_Admin();
    }
}
add_action('plugins_loaded', 'rpg_init');

// Activation hook
register_activation_hook(__FILE__, 'rpg_activate');
function rpg_activate() {
    // Set default options
    $defaults = array(
        'grid_post_order' => 'rand',
        'grid_excluded_categories' => '',
        'grid_category_bg_color' => '#000000',
        'grid_category_font_color' => '#FFFFFF',
        'grid_title_bg_color' => '#003375',
        'grid_title_font_color' => '#FFFFFF'
    );

    foreach ($defaults as $key => $value) {
        if (get_option($key) === false) {
            update_option($key, $value);
        }
    }
}

// Deactivation hook
register_deactivation_hook(__FILE__, 'rpg_deactivate');
function rpg_deactivate() {
    // Cleanup if needed
} 